﻿using ForumContracts.BindingModels;
using ForumContracts.SearchModels;
using ForumContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.StorageContracts
{
    public interface IAnswerStorage
    {
        List<AnswerViewModel> GetFullList();
        List<AnswerViewModel> GetFilteredList(AnswerSearchModel model);
        AnswerViewModel? GetElement(AnswerSearchModel model);
        AnswerViewModel? Insert(AnswerBindingModel model);
        AnswerViewModel? Update(AnswerBindingModel model);
        AnswerViewModel? Delete(AnswerBindingModel model);
    }
}
