﻿using ForumContracts.BindingModels;
using ForumContracts.SearchModels;
using ForumContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.StorageContracts
{
    public interface ICategoryStorage
    {
        List<CategoryViewModel> GetFullList();
        List<CategoryViewModel> GetFilteredList(CategorySearchModel model);
        CategoryViewModel? GetElement(CategorySearchModel model);
        CategoryViewModel? Insert(CategoryBindingModel model);
        CategoryViewModel? Update(CategoryBindingModel model);
        CategoryViewModel? Delete(CategoryBindingModel model);
    }
}
