﻿using ForumDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.ViewModels
{
    public class AnswerViewModel : IAnswerModel
    {
        [DisplayName("Ответ на вопрос")]
        public string Comment { get; set; } = string.Empty;

        [DisplayName("Дата ответа")]
        public DateTime ResponseDate { get; set; } = DateTime.Now;

        [DisplayName("Автор ответа")]
        public string AuthorAnswer { get; set; } = string.Empty;

        [DisplayName("Содержание вопроса")]
        public string QuestionText { get; set; } = string.Empty;

        [DisplayName("Дата создания вопроса")]
        public DateTime QuestionCreateDate { get; set; } = DateTime.Now;

        public int QuestionId { get; set; }

        public int UserId { get; set; }

        public int Id { get; set; }
    }
}
