﻿using ForumDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.ViewModels
{
    public class QuestionViewModel : IQuestionModel
    {
        [DisplayName("Содержание вопроса")]
        public string Topic { get; set; } = string.Empty;

        [DisplayName("Дата создания вопроса")]
        public DateTime CreateDate { get; set; } = DateTime.Now;

        [DisplayName("Имя пользователя")]
        public string UserName { get; set; } = string.Empty;

        [DisplayName("Название категории")]
        public string CategoryName { get; set; } = string.Empty;

        public int UserId { get; set; }

        public int CategoryId { get; set; }

        public int Id { get; set; }
    }
}
