﻿using ForumContracts.BindingModels;
using ForumContracts.SearchModels;
using ForumContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.BusinessLogicContracts
{
    public interface IAnswerLogic
    {
        List<AnswerViewModel>? ReadList(AnswerSearchModel? model);
        AnswerViewModel? ReadElement(AnswerSearchModel model);
        bool Create(AnswerBindingModel model);
        bool Update(AnswerBindingModel model);
        bool Delete(AnswerBindingModel model);
    }
}
