﻿using ForumContracts.BindingModels;
using ForumContracts.SearchModels;
using ForumContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.BusinessLogicContracts
{
    public interface IQuestionLogic
    {
        List<QuestionViewModel>? ReadList(QuestionSearchModel? model);
        QuestionViewModel? ReadElement(QuestionSearchModel model);
        List<QuestionViewModel>? HardRequest(QuestionSearchModel? model);
        bool Create(QuestionBindingModel model);
        bool Update(QuestionBindingModel model);
        bool Delete(QuestionBindingModel model);
    }
}
