﻿using ForumContracts.BindingModels;
using ForumContracts.SearchModels;
using ForumContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.StorageContracts
{
    public interface IQuestionStorage
    {
        List<QuestionViewModel> GetFullList();
        List<QuestionViewModel> GetFilteredList(QuestionSearchModel model);
        List<QuestionViewModel> HardRequest(QuestionSearchModel model);
        QuestionViewModel? GetElement(QuestionSearchModel model);
        QuestionViewModel? Insert(QuestionBindingModel model);
        QuestionViewModel? Update(QuestionBindingModel model);
        QuestionViewModel? Delete(QuestionBindingModel model);
    }
}
