﻿using ForumDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.ViewModels
{
    public class UserViewModel : IUserModel
    {
        [DisplayName("Никнейм")]
        public string Nickname { get; set; } = string.Empty;

        [DisplayName("Пароль")]
        public string Password { get; set; } = string.Empty;

        [DisplayName("Эл. почта")]
        public string Email { get; set; } = string.Empty;

        [DisplayName("Дата регистрации")]
        public DateTime RegistrationDate { get; set; } = DateTime.Now;

        [DisplayName("Дата активности")]
        public DateTime ActivityDate { get; set; } = DateTime.Now;

        public int Id { get; set; }
    }
}
